%define upstream_name    Vimana
%define upstream_version 2.23

Name:       vimana
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Download a vim plugin package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::CLI) >= 0.80.0
BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Data::Util)
BuildRequires: perl(DateTime)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Type)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Lite)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mouse)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(URI) >= 1.370.0
BuildRequires: perl(Web::Scraper)
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
Vimana is an easy to use system for searching , installing, and downloading
vim script.

Vimana provides a command-line interface such like 'aptitude' programe on
Debian linux, for you to search , download , install , upgrade scripts from
the http://www.vim.org manpage (vimonline site).

Vimana can install a vim script package to your vim runtime path
automatically by inspecting the content of archive file or vim script. For
example , if an archive file contains 'syntax','plugin','indent' directory
, then these files should be installed to _~/.vim/_ directory (default vim
runtime directory). if it's a vim color scheme , then it should be put into
_~/.vim/colors/_, or Vimana will inspect the script type tag in script
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Feb 28 2011 jquelin <jquelin> 2.230.0-1.mga1
+ Revision: 61584
- mageia rebuild
- imported package vimana


* Sat Jan 15 2011 cpan2dist 2.23-1mdv
- initial mdv release, generated with cpan2dist
